Bug 403511 - Need to perform internal builds of modversions package for testing
Need to perform internal builds of modversions package for testing
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: Package Review (Show other bugs)
4.6
All Linux
low Severity low
: ---
: ---
Assigned To: Jarod Wilson
:
Depends On: 403411
Blocks: RHEL4.0-ACCEPT
  Show dependency treegraph
 
Reported: 2007-11-28 16:30 EST by Jon Masters
Modified: 2008-07-25 18:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-15 11:10:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modversions (97.77 KB, application/x-rpm)
2007-12-04 17:26 EST, Jon Masters
no flags Details
updated modversions srpm (98.26 KB, application/x-rpm)
2007-12-07 10:49 EST, Jarod Wilson
no flags Details

  None (edit)
Comment 3 Jon Masters 2007-12-04 17:26:49 EST
Created attachment 277421 [details]
modversions
Comment 5 Jarod Wilson 2007-12-06 10:55:26 EST
First pass through the spec and rpmlint:

1) the Provides: line is useless, rpm auto-creates that, should be removed.

2) the BuildRoot: is insufficient for meeting the packaging guidelines. Must
include %{name}, %{version} and %{release} in the BuildRoot value to meet the
guidelines.

3) the %description is completely missing

4) the %setup line should be just '%setup -q', which does exactly the same thing
as what's there now

5) rm -rf $RPM_BUILD_ROOT doesn't belong at the %build stage, it belongs at the
start of the %install stage.

6) don't use mkdir in %build stage either, than belongs in %install as well

7) use of %makeinstall is typically forbidden by the packaging guidelines

8) use either %{buildroot} or $RPM_BUILD_ROOT, not both intermixed

9) use %{_sysconfdir} in place of /etc

10) the URL tag is missing

11) the license field should be versioned these days (ex: GPLv2+)

12) AUTHORS, COPYING, NEWS, README, ChangeLog should be installed as %doc

13) the init script doesn't contain either a 'status' or 'reload' option
(rpmlint dislikes this)

I think that's it for the first pass... :)
Comment 6 Jarod Wilson 2007-12-06 11:00:33 EST
Ah, not quite. One more thing. In %preun, the service needs to be stopped before
its deleted (or you'll leave its lock file lingering about).
Comment 7 Jarod Wilson 2007-12-07 10:49:45 EST
Created attachment 281311 [details]
updated modversions srpm

This is an updated modversions srpm that remedies the majority of the issues I
raised. I believe all that is left to address with this version is the missing
URL tag (and if there is one, a full http link to the Source0 tarball).
Comment 8 Jon Masters 2007-12-07 11:39:05 EST
Thanks for doing this. Saved me doing it on the weekend!

As fas as the URL goes, I suggest just redhat.com - if we add that, you ok with
the package then?

Jon.
Comment 9 Jarod Wilson 2007-12-07 12:40:25 EST
Well, typically, the URL points to a project page of some sort, where you can
also find download links, docs, etc... Maybe just stash the README, tarball and
srpm at http://people.redhat.com/jcm/modversions/ or something like that?
Otherwise, yeah, I think everything is pretty much good to go.
Comment 10 Jarod Wilson 2008-02-25 15:12:41 EST
Can this bug be closed yet?
Comment 11 Jon Masters 2008-04-15 11:10:39 EDT
Yeah, closing.

Note You need to log in before you can comment on or make changes to this bug.